/*Ampliar el ejercicio anterior para que nos dé la posición (índice) y la edad del 
alumno mayor y la del menor.*/

#include<stdlib.h>
#include<stdio.h>
#include<conio.h>
#define n 3

void main(void)
{
	int array[n],i,max=0,min=0,indmax,indmin;
	float total=0;

	clrscr();
	for(i=0;i<n;i++)
	{
		printf("introduzca la edad de un alumno: ");
		scanf("%d",&array[i]);
		total=total+array[i];
	}
	total=total/n;
	printf("La media de edades en esa clase es: %f",total);
	getch();
	max=array[0];
	min=array[0];
	for(i=0;i<n;i++)
	{
		if(array[i]>max)
		{
			max=array[i];
			indmax=i;
		}
		if(array[i]<min)
		{
			min=array[i];
			indmin=i;
		}	
	}
	printf("Las edades mayores y menores con sus indices son:\n");
	printf("Mayor: %d\tIndice: %d\nMenor: %d\tIndice: %d",max,indmax,min,indmin);
	getch();
}